<script lang="ts">
  import Container from "./CommonContainer.svelte";
</script>

<Container>
  <svg width="100%" height="100%" viewBox="0 0 540 527">
    <path
      class="octocat"
      d="M197.803,508.521C204.322,506.964 207.646,501.151 207.646,496.196C207.646,490.2 207.413,470.375 207.304,449.35C137.304,464.571 122.533,419.663 122.533,419.663C111.087,390.584 94.596,382.846 94.596,382.846C71.767,367.229 96.317,367.55 96.317,367.55C121.583,369.325 134.888,393.484 134.888,393.484C157.329,431.946 193.75,420.825 208.108,414.396C210.371,398.138 216.887,387.034 224.083,380.75C168.196,374.392 109.446,352.813 109.446,256.4C109.446,228.934 119.275,206.484 135.371,188.863C132.758,182.525 124.146,156.934 137.813,122.275C137.813,122.275 158.942,115.517 207.021,148.071C227.092,142.496 248.617,139.7 270,139.6C291.383,139.7 312.925,142.496 333.033,148.071C381.058,115.517 402.158,122.275 402.158,122.275C415.854,156.934 407.242,182.525 404.629,188.863C420.763,206.484 430.521,228.934 430.521,256.4C430.521,353.046 371.658,374.321 315.629,380.55C324.654,388.359 332.696,403.671 332.696,427.146C332.696,460.813 332.408,487.909 332.408,496.196C332.408,501.12 338.672,507.181 345.03,508.793C297.48,514.888 242.591,514.828 195.042,508.744C192.818,509.276 197.803,508.521 197.803,508.521Z"
    />
    <g transform="matrix(4.16667,0,0,4.16667,270,510.738)">
      <path
        class="spotlight"
        d="M0,-118.274C-33.347,-118.274 -60.388,-91.239 -60.388,-57.886C-60.388,-31.206 -43.085,-8.57 -19.091,-0.585C-16.073,-0.026 -14.965,-1.895 -14.965,-3.49C-14.965,-4.929 -15.021,-9.687 -15.047,-14.733C-31.847,-11.08 -35.392,-21.858 -35.392,-21.858C-38.139,-28.837 -42.097,-30.694 -42.097,-30.694C-47.576,-34.442 -41.684,-34.365 -41.684,-34.365C-35.62,-33.939 -32.427,-28.141 -32.427,-28.141C-27.041,-18.91 -18.3,-21.579 -14.854,-23.122C-14.311,-27.024 -12.747,-29.689 -11.02,-31.197C-24.433,-32.723 -38.533,-37.902 -38.533,-61.041C-38.533,-67.633 -36.174,-73.021 -32.311,-77.25C-32.938,-78.771 -35.005,-84.913 -31.725,-93.231C-31.725,-93.231 -26.654,-94.853 -15.115,-87.04C-10.298,-88.378 -5.132,-89.049 0,-89.073C5.132,-89.049 10.302,-88.378 15.128,-87.04C26.654,-94.853 31.718,-93.231 31.718,-93.231C35.005,-84.913 32.938,-78.771 32.311,-77.25C36.183,-73.021 38.525,-67.633 38.525,-61.041C38.525,-37.846 24.398,-32.74 10.951,-31.245C13.117,-29.371 15.047,-25.696 15.047,-20.062C15.047,-11.982 14.978,-5.479 14.978,-3.49C14.978,-1.882 16.064,0 19.125,-0.592C43.107,-8.586 60.388,-31.214 60.388,-57.886C60.388,-91.239 33.351,-118.274 0,-118.274"
      />
    </g>
    <g transform="matrix(1.73647,-3.78758,-3.78758,-1.73647,113.155,375.341)">
      <path
        class="sucker"
        d="M-0.787,-0.501C-1.116,-0.505 -1.395,-0.114 -1.387,0.363C-1.39,0.844 -1.12,1.238 -0.787,1.234C-0.453,1.244 -0.178,0.851 -0.183,0.367C-0.179,-0.113 -0.451,-0.513 -0.787,-0.501"
      />
    </g>
    <g transform="matrix(3.06765,-2.81968,-2.81968,-3.06765,125.271,387.743)">
      <path
        class="sucker"
        d="M-0.704,-0.272C-1.097,-0.273 -1.428,0.2 -1.423,0.768C-1.429,1.346 -1.102,1.811 -0.704,1.812C-0.304,1.807 0.013,1.346 0.019,0.769C0.022,0.187 -0.299,-0.276 -0.704,-0.272"
      />
    </g>
    <g transform="matrix(3.43882,-2.35279,-2.35279,-3.43882,135.616,402.759)">
      <path
        class="sucker"
        d="M-0.671,-0.208C-1.122,-0.212 -1.486,0.329 -1.491,0.984C-1.493,1.637 -1.129,2.168 -0.671,2.167C-0.216,2.169 0.145,1.639 0.157,0.986C0.154,0.327 -0.21,-0.204 -0.671,-0.208"
      />
    </g>
    <g transform="matrix(2.84676,-3.04254,-3.04254,-2.84676,148.852,415.029)">
      <path
        class="sucker"
        d="M-0.945,-0.403C-1.438,-0.411 -1.848,0.171 -1.836,0.888C-1.842,1.606 -1.438,2.185 -0.945,2.193C-0.448,2.198 -0.039,1.61 -0.044,0.892C-0.041,0.178 -0.441,-0.414 -0.945,-0.403"
      />
    </g>
    <g transform="matrix(1.19977,-3.9902,-3.9902,-1.19977,163.961,421.066)">
      <path
        class="sucker"
        d="M-1.255,-0.923C-1.751,-0.919 -2.151,-0.331 -2.155,0.382C-2.154,1.096 -1.753,1.683 -1.255,1.688C-0.759,1.689 -0.348,1.101 -0.355,0.379C-0.356,-0.333 -0.754,-0.921 -1.255,-0.923"
      />
    </g>
    <g transform="matrix(-0.069007,-4.1661,-4.1661,0.069007,181.185,423.403)">
      <path
        class="sucker"
        d="M-1.29,-1.31C-1.789,-1.319 -2.192,-0.732 -2.189,-0.014C-2.193,0.708 -1.78,1.286 -1.29,1.286C-0.787,1.278 -0.389,0.703 -0.388,-0.018C-0.386,-0.736 -0.796,-1.318 -1.29,-1.31"
      />
    </g>
    <g transform="matrix(-0.741698,-4.10012,-4.10012,0.741698,198.652,421.297)">
      <path
        class="sucker"
        d="M-1.285,-1.533C-1.778,-1.532 -2.18,-0.952 -2.184,-0.227C-2.186,0.486 -1.774,1.071 -1.285,1.073C-0.78,1.07 -0.379,0.482 -0.377,-0.23C-0.382,-0.955 -0.783,-1.532 -1.285,-1.533"
      />
    </g>
  </svg>
</Container>

<style>
  svg > path.octocat {
    fill: hsl(0, 0%, 100%);
  }
  svg > g > path.sucker,
  svg > g > path.spotlight {
    fill: hsl(0, 2%, 9%);
  }

  svg path {
    transition: all 0.1s;
  }
  svg > path.octocat:hover {
    fill: hsl(0, 0%, 80%);
  }
  /* svg > g > path.sucker:hover, */
  svg > g:hover > path.spotlight {
    fill: hsl(0, 2%, 29%);
  }
</style>
